/**
*
* Adjustment of dataTables to fit MoPat design
*
**/
/**
*
* Defines all colors that are used in MoPats less sheets
*
**/
/**
* This file contains color definition based on the material 
* design specification for color palettes
**/
/* Grayscales (from Bootstrap) */
/**
*
* Sizes for the mopat web application
*
**/
/**
*
* Some variable values that will be repeated
* for MoPats views
* This file can be used as a central hub to change 
* many settings at once without touching the less files
*
**/
.dataTables_wrapper {
  width: 99%;
}
.dataTables_wrapper .row {
  padding-left: 10px;
  padding-right: 10px;
}
.dataTables_wrapper .row:first-child {
  padding-top: 10px;
}
.dataTables_wrapper .row:last-child {
  padding-bottom: 10px;
}
.dataTables_wrapper .actionColumn {
  text-align: center !important;
}
.dataTables_wrapper .actionColumn a {
  padding-left: 5px;
  padding-right: 5px;
}
table.dataTable tbody td {
  vertical-align: middle;
}
.table-responsive {
  overflow-x: visible !important;
}
.active > .page-link {
  background-color: #254c7e !important;
  border-color: #254c7e !important;
  color: #ffffff !important;
}
.page-link {
  color: #377cbf;
}
.page-link:hover {
  background-color: #f5f5f5;
  transition: 0.25s ease-in-out;
}
.link {
  color: #62778c;
  text-decoration: none;
  font-size: 16px;
}
.link a:link,
.link a:visited {
  color: #62778c;
  text-decoration: none;
}
.link a:hover {
  color: #254c7e;
  text-decoration: underline;
}
.dropdown {
  position: relative;
  display: inline-block;
}
.dropdown-content {
  display: none;
  position: absolute;
  background-color: #ffffff;
  box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
  border-radius: 0.375rem;
  z-index: 4;
  border-top: 1px solid #dddddd;
  right: 0;
  left: initial;
}
.dropdown-content a {
  padding: 5px 40px;
  display: block;
  border-bottom: 1px solid #dddddd;
  border-left: 1px solid #dddddd;
  border-right: 1px solid #dddddd;
}
.dropdown-content a:hover {
  background-color: #eeeeee;
  transition: 0.25s ease-in-out;
}
.dropdown:hover .dropdown-content {
  display: block;
}
.dropdown-title {
  padding-left: 5px;
  padding-right: 5px;
  border: solid 0.3em #ffffff;
}
/*Collapse symbol before collapsed data rows */
table.dataTable.dtr-inline.collapsed > tbody > tr > td.dtr-control::before,
table.dataTable.dtr-inline.collapsed > tbody > tr > th.dtr-control::before {
  top: 50%;
  left: 5px;
  height: 1em;
  width: 1em;
  margin-top: -9px;
  display: block;
  position: absolute;
  color: #254c7e;
  box-sizing: content-box;
  text-align: center;
  text-indent: 0 !important;
  font-family: "Bootstrap-icons";
  line-height: 1em;
  content: "\F139";
  background: none;
  transition: 1s;
}
table.dataTable.dtr-inline.collapsed > tbody > tr.parent > td.dtr-control::before,
table.dataTable.dtr-inline.collapsed > tbody > tr.parent > th.dtr-control::before {
  content: "\F139";
  background: none;
  -o-transform: rotate(180deg);
  -ms-transform: rotate(180deg);
  -moz-transform: rotate(180deg);
  -webkit-transform: rotate(180deg);
  transform: rotate(180deg);
}
.optionsMenu {
  height: auto !important;
}
.optionsMenu .offcanvas-body a {
  text-align: left;
  border: solid 0.05em;
  border-left: 0;
  border-right: 0;
  border-top: 0;
  border-color: #dddddd;
  padding-top: 5px;
  padding-bottom: 5px;
}
.optionsMenu .offcanvas-body a:hover {
  background-color: #eeeeee;
  transition: 0.25s ease-in-out;
}
.optionsMenu .offcanvas-body .optionsTitle {
  font-size: 1.1rem;
  text-align: left;
  margin-top: 10px;
  padding-left: 5px;
  padding-right: 5px;
}

